# toc.html

## Usage

```liquid
{% include toc.html html=content %}
```

## Parameters

Except `html`, all other parameters are optional.

| Param   | Type   | Default           |                                                                               |
| :------ | :----- | :---------------- | :---------------------------------------------------------------------------- |
| html    | string |                   | html of markdown generated by kramdown in Jekyll                              |
| min     | int    | 2                 | min header level value in toc                                                 |
| max     | int    | 3                 | max header level value in toc                                                 |
| ordered | bool   | false             | true => `<ol></ol>`<br>false => `<ul></ul>`                                   |
| id      | string | "toc"             | id name for toc element                                                       |
| class   | string | "toc"             | class name for toc element                                                    |
| a       | string | "toc-a"           | class name for each anchor element                                            |
| li      | string | "toc-li-%level%"  | class name for each list item<br>`%level%` => current heading level           |
| sub     | string | "toc-sub-%level%" | class name for each child group of list<br>`%level%` => current heading level |
| base    | string | ""                | base url to the toc links                                                     |

> If your TOC is on another page than the actual content, parameter `base` is useful.

## Thanks

This `toc.html` is modified from [@allejo](https://github.com/allejo)'s project.

@see https://github.com/allejo/jekyll-toc/blob/master/_includes/toc.html

## License

MIT
